Update a me
PATCH
/v1/users/mecurl -X PATCH 'https://api.embodiflow.io/v1/users/me' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"displayName": "string",
"avatarUrl": "https://example.com"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求头参数
- If-Matchstring
Optional precondition. A matching tag proceeds and returns the new ETag. A stale tag returns 412 PRECONDITION_FAILED with no write. Absent proceeds (opt-in this release). If-Match: * succeeds when the resource exists. Malformed values return 400 IF_MATCH_INVALID.
请求体
Content-Typeapplication/json
- displayNamestring | null
- avatarUrlstring (uri) | null
响应
Success
- dataobject必填
- userobject必填
- metaobject必填
- requestIdstring必填
响应示例
{
"data": {
"user": {
"id": "string",
"email": "string",
"displayName": "string",
"avatarUrl": "string",
"hasPassword": false,
"status": "string",
"lastLoginAt": "string",
"emailVerifiedAt": "string",
"handle": "string"
}
},
"meta": {
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1